diff --git a/web/pgadmin/static/css/overrides.css b/web/pgadmin/static/css/overrides.css
index cd90aba..565a8c3 100755
--- a/web/pgadmin/static/css/overrides.css
+++ b/web/pgadmin/static/css/overrides.css
@@ -1391,3 +1391,14 @@ table.backgrid {
 .cm_disabled {
   background: #EEEEEE;
 }
+
+.pgadmin-controls.sql_field_layout {
+  margin: 0;
+  padding: 0;
+  overflow: hidden;
+  z-index: 1;
+}
+
+.pgadmin-controls.sql_field_layout .CodeMirror {
+  line-height: 22px;
+}
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index bead906..6396094 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -2131,11 +2131,19 @@
             (self.$el.find("textarea")[0]), {
             lineNumbers: true,
             mode: "text/x-sql",
-            readOnly: isDisabled,
             extraKeys: pgAdmin.Browser.editor_shortcut_keys,
             tabSize: pgAdmin.Browser.editor_options.tabSize
           });

+      // Disable editor
+      if (isDisabled) {
+        self.sqlCtrl.setOption("readOnly", "nocursor");
+        var cm = self.sqlCtrl.getWrapperElement();
+        if (cm) {
+          cm.className += ' cm_disabled';
+        }
+      }
+
       if (!isVisible)
         self.$el.addClass(Backform.hiddenClassname);

